neovim 0.1.4 fails on OSX 10.11.5 due to glibtool (SOLVED) #166

Closed
mavogel opened this Issue Jul 15, 2016 · 5 comments

Comments

Projects
None yet
4 participants
@mavogel

mavogel commented Jul 15, 2016

I encounterd the following error:

[ 50%] Performing install step for 'libvterm'
cd /tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/build/src/libvterm && /Applications/Xcode.app/Contents/Developer/usr/bin/make CC=/usr/local/Library/Homebrew/shims/super/clang PREFIX=/tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr CFLAGS=-fPIC install
install -d /tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr/include
install -m644 include/vterm.h include/vterm_keycodes.h /tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr/include
install -d /tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr/lib/pkgconfig
sed -e "s,@PREFIX@,/tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr," -e "s,@LIBDIR@,/tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr/lib," <vterm.pc.in >/tmp/neovim-20160715-99821-1qyfnj6/neovim-0.1.4/deps-build/usr/lib/pkgconfig/vterm.pc
TBL src/encoding/DECdrawing.tbl
TBL src/encoding/uk.tbl
CC src/encoding.c
/usr/local/opt/libtool/bin/glibtool: line 923: /usr/local/Library/ENV/4.3/sed: No such file or directory
/usr/local/opt/libtool/bin/glibtool: line 1376: /usr/local/Library/ENV/4.3/sed: No such file or directory
/usr/local/opt/libtool/bin/glibtool: line 1378: /usr/local/Library/ENV/4.3/sed: No such file or directory
/usr/local/opt/libtool/bin/glibtool: line 1274: /usr/local/Library/ENV/4.3/sed: No such file or directory
:   error: Failed to create 'src/.libs'
make[3]: *** [src/encoding.lo] Error 1
make[2]: *** [build/src/libvterm-stamp/libvterm-install] Error 2
make[1]: *** [CMakeFiles/libvterm.dir/all] Error 2
make: *** [all] Error 2

Here is my complete gist.

Or is this rather an issue of homebrew(-core)? Like described in this issue. I couldn't find any similar issue here.

Thanks for the help/advice
Manuel

@mattsacks

This comment has been minimized.

Show comment
Hide comment
@mattsacks

mattsacks Jul 15, 2016

OMG! I've been getting the same error and have tried everything. Any help would be great!

OMG! I've been getting the same error and have tried everything. Any help would be great!

@gavsim

This comment has been minimized.

Show comment
Hide comment
@gavsim

gavsim Jul 15, 2016

Same issue here when running:

brew reinstall --HEAD neovim

gavsim commented Jul 15, 2016

Same issue here when running:

brew reinstall --HEAD neovim

@justinmk

This comment has been minimized.

Show comment
Hide comment
@justinmk

justinmk Jul 16, 2016

Member

Does #164 help? Sounds similar.

Member

justinmk commented Jul 16, 2016

Does #164 help? Sounds similar.

@mattsacks

This comment has been minimized.

Show comment
Hide comment
@mattsacks

mattsacks Jul 16, 2016

That did it for me! Thank you @justinmk!

That did it for me! Thank you @justinmk!

@justinmk justinmk closed this Jul 16, 2016

@justinmk justinmk changed the title from neovim 0.1.4 fails on OSX 10.11.5 due to glibtool to neovim 0.1.4 fails on OSX 10.11.5 due to glibtool (SOLVED) Jul 16, 2016

@mavogel

This comment has been minimized.

Show comment
Hide comment
@mavogel

mavogel Jul 16, 2016

Thank you @justinmk! I didn't find the other issue because I was searching for glibtool ;-) So now I got that's its just the prefix for mac.

mavogel commented Jul 16, 2016

Thank you @justinmk! I didn't find the other issue because I was searching for glibtool ;-) So now I got that's its just the prefix for mac.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment